Help us shape the future of Go! Take the 2026 Go Developer Survey

store

package
v0.1.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Dec 14, 2015 License: Apache-2.0 Imports: 6 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type DeleteOrder

type DeleteOrder struct {
	Context *middleware.Context
	Params  DeleteOrderParams
	Handler DeleteOrderHandler
}

DeleteOrder swagger:route DELETE /stores/order/{orderId} store deleteOrder

Delete purchase order by ID

For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors

func NewDeleteOrder

func NewDeleteOrder(ctx *middleware.Context, handler DeleteOrderHandler) *DeleteOrder

NewDeleteOrder creates a new http.Handler for the delete order operation

func (*DeleteOrder) ServeHTTP

func (o *DeleteOrder) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteOrderBadRequest

type DeleteOrderBadRequest struct {
}

DeleteOrderBadRequest Invalid ID supplied

swagger:response deleteOrderBadRequest

func (*DeleteOrderBadRequest) WriteResponse

func (o *DeleteOrderBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type DeleteOrderHandler

type DeleteOrderHandler interface {
	Handle(DeleteOrderParams) middleware.Responder
}

DeleteOrderHandler interface for that can handle valid delete order params

type DeleteOrderHandlerFunc

type DeleteOrderHandlerFunc func(DeleteOrderParams) middleware.Responder

DeleteOrderHandlerFunc turns a function with the right signature into a delete order handler

func (DeleteOrderHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteOrderNotFound

type DeleteOrderNotFound struct {
}

DeleteOrderNotFound Order not found

swagger:response deleteOrderNotFound

func (*DeleteOrderNotFound) WriteResponse

func (o *DeleteOrderNotFound) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type DeleteOrderParams

type DeleteOrderParams struct {
	/*ID of the order that needs to be deleted
	  Required: true
	  In: path
	*/
	OrderID string
}

DeleteOrderParams contains all the bound params for the delete order operation typically these are obtained from a http.Request

swagger:parameters deleteOrder

func (*DeleteOrderParams) BindRequest

func (o *DeleteOrderParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetOrderByID

type GetOrderByID struct {
	Context *middleware.Context
	Params  GetOrderByIDParams
	Handler GetOrderByIDHandler
}

GetOrderByID swagger:route GET /stores/order/{orderId} store getOrderById

Find purchase order by ID

For valid response try integer IDs with value <= 5 or > 10. Other values will generated exceptions

func NewGetOrderByID

func NewGetOrderByID(ctx *middleware.Context, handler GetOrderByIDHandler) *GetOrderByID

NewGetOrderByID creates a new http.Handler for the get order by id operation

func (*GetOrderByID) ServeHTTP

func (o *GetOrderByID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetOrderByIDBadRequest

type GetOrderByIDBadRequest struct {
}

GetOrderByIDBadRequest Invalid ID supplied

swagger:response getOrderByIdBadRequest

func (*GetOrderByIDBadRequest) WriteResponse

func (o *GetOrderByIDBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetOrderByIDHandler

type GetOrderByIDHandler interface {
	Handle(GetOrderByIDParams) middleware.Responder
}

GetOrderByIDHandler interface for that can handle valid get order by id params

type GetOrderByIDHandlerFunc

type GetOrderByIDHandlerFunc func(GetOrderByIDParams) middleware.Responder

GetOrderByIDHandlerFunc turns a function with the right signature into a get order by id handler

func (GetOrderByIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetOrderByIDNotFound

type GetOrderByIDNotFound struct {
}

GetOrderByIDNotFound Order not found

swagger:response getOrderByIdNotFound

func (*GetOrderByIDNotFound) WriteResponse

func (o *GetOrderByIDNotFound) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetOrderByIDOK

type GetOrderByIDOK struct {

	// In: body
	Payload *models.Order `json:"body,omitempty"`
}

GetOrderByIDOK successful operation

swagger:response getOrderByIdOK

func (*GetOrderByIDOK) WriteResponse

func (o *GetOrderByIDOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type GetOrderByIDParams

type GetOrderByIDParams struct {
	/*ID of pet that needs to be fetched
	  Required: true
	  In: path
	*/
	OrderID string
}

GetOrderByIDParams contains all the bound params for the get order by id operation typically these are obtained from a http.Request

swagger:parameters getOrderById

func (*GetOrderByIDParams) BindRequest

func (o *GetOrderByIDParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type PlaceOrder

type PlaceOrder struct {
	Context *middleware.Context
	Params  PlaceOrderParams
	Handler PlaceOrderHandler
}

PlaceOrder swagger:route POST /stores/order store placeOrder

Place an order for a pet

func NewPlaceOrder

func NewPlaceOrder(ctx *middleware.Context, handler PlaceOrderHandler) *PlaceOrder

NewPlaceOrder creates a new http.Handler for the place order operation

func (*PlaceOrder) ServeHTTP

func (o *PlaceOrder) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PlaceOrderBadRequest

type PlaceOrderBadRequest struct {
}

PlaceOrderBadRequest Invalid Order

swagger:response placeOrderBadRequest

func (*PlaceOrderBadRequest) WriteResponse

func (o *PlaceOrderBadRequest) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type PlaceOrderHandler

type PlaceOrderHandler interface {
	Handle(PlaceOrderParams) middleware.Responder
}

PlaceOrderHandler interface for that can handle valid place order params

type PlaceOrderHandlerFunc

type PlaceOrderHandlerFunc func(PlaceOrderParams) middleware.Responder

PlaceOrderHandlerFunc turns a function with the right signature into a place order handler

func (PlaceOrderHandlerFunc) Handle

Handle executing the request and returning a response

type PlaceOrderOK

type PlaceOrderOK struct {

	// In: body
	Payload *models.Order `json:"body,omitempty"`
}

PlaceOrderOK successful operation

swagger:response placeOrderOK

func (*PlaceOrderOK) WriteResponse

func (o *PlaceOrderOK) WriteResponse(rw http.ResponseWriter, producer httpkit.Producer)

WriteResponse to the client

type PlaceOrderParams

type PlaceOrderParams struct {
	/*order placed for purchasing the pet
	  In: body
	*/
	Body *models.Order
}

PlaceOrderParams contains all the bound params for the place order operation typically these are obtained from a http.Request

swagger:parameters placeOrder

func (*PlaceOrderParams) BindRequest

func (o *PlaceOrderParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL